#ifndef SHOWONESPRITE_H
#define SHOWONESPRITE_H

#include <string>
#include <vector>

#include "Sprite.h"
#include "List.h"

class ShowOneSprite : public Sprite
{
public:
	ShowOneSprite( std::string filename, List *spriteInfo );
	ShowOneSprite(ShowOneSprite *sprite);
	~ShowOneSprite();

	Sprite *instance();

	//virtual SDL_Rect box() {return _sprites[_index]->box();}
	virtual void reset();
	void reset(int index);
	virtual void draw(int x, int y, bool origin = LEVEL);
	virtual void update(){_sprites[_index]->update();};
	virtual void clean();
	void show(int index) {_index = index;};

	
protected:
	std::vector<Sprite *> _sprites;
	std::vector<Sprite *> _createdSprites;
	int _index;
};

#endif